// -*- C++ -*-
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                           */
/*    This file is part of "mipsymmetries" a collection of                   */
/*    symmetry handling methods.                                             */
/*                                                                           */
/*    Copyright (C) 2010-2015  Marc Pfetsch, Thomas Rehn                     */
/*                                                                           */
/*                                                                           */
/*    Based on SCIP  --- Solving Constraint Integer Programs                 */
/*       SCIP is distributed under the terms of the SCIP Academic Licence,   */
/*       see file COPYING in the SCIP distribution.                          */
/*                                                                           */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
#pragma ident "@(#) $Id: branch_orbital.h 10 2011-06-16 15:27:47Z pfetsch $"

/**@file   branch_orbital.h
 * @brief  Implementation of a orbital branching
 * @author Marc Pfetsch
 * @author Thomas Rehn
 */

#ifndef BRANCH_ORBITAL_H
#define BRANCH_ORBITAL_H

#include <scip/scip.h>

#ifdef __cplusplus
extern "C" {
#endif

/** creates the orbital branching rule and includes it in SCIP */
extern
SCIP_RETCODE SCIPincludeBranchruleOrbital(
   SCIP*                 scip                /**< SCIP data structure */
   );

#ifdef __cplusplus
}
#endif

#endif
