/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/*                                                                           */
/*    This file is part of "mipsymmetries" a collection of                   */
/*    symmetry handling methods.                                             */
/*                                                                           */
/*    Copyright (C) 2010-2015  Marc Pfetsch, Thomas Rehn                     */
/*                                                                           */
/*                                                                           */
/*    Based on SCIP  --- Solving Constraint Integer Programs                 */
/*       SCIP is distributed under the terms of the SCIP Academic Licence,   */
/*       see file COPYING in the SCIP distribution.                          */
/*                                                                           */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
#pragma ident "@(#) $Id: presol_lpsymfix.cpp 60 2011-07-10 08:55:22Z pfetsch $"

/**@file   presol_lpsymfix.h
 * @brief  presolver for projecting symmetric LP-variable onto the fixed space
 * @author Marc Pfetsch
 * @author Thomas Rehn
 */

/*---+----1----+----2----+----3----+----4----+----5----+----6----+----7----+----8----+----9----+----0----+----1----+----2*/

#ifndef __SCIP_PRESOL_LPSYMFIX_H__
#define __SCIP_PRESOL_LPSYMFIX_H__

#include "scip/scip.h"

#ifdef __cplusplus
extern "C" {
#endif

/** creates the symmetry LP-fix presolver and includes it in SCIP */
extern
SCIP_RETCODE SCIPincludePresolLpsymfix(
   SCIP*                 scip                /**< SCIP data structure */
   );

#ifdef __cplusplus
}
#endif

#endif
